%global sum	A clone of the classic Missile Command game

Name:		penguin-command
Summary:	%{sum}
Version:	1.6.11
Release:	%mkrel 17
Source0:	https://downloads.sourceforge.net/penguin-command/%{name}-%{version}.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		penguin-command-1.6.11-mga-high-score.patch
URL:		https://www.linux-games.com/penguin-command/index.html
License:	GPLv2+
Group:		Games/Arcade
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)

%description
This is a clone of the classic "Missile Command" Game, but with better
graphics and music. The gameplay has only been slightly modified. Penguin
Command is completely licensed under the GPL, excluding the music.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Penguin Command
Comment=%{sum}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

install -m755 -d %{buildroot}%{_mandir}/ja/man6
mv %{buildroot}%{_mandir}/man6/penguin-command.ja.6 %{buildroot}%{_mandir}/ja/man6/penguin-command.6

%files
%doc README NEWS AUTHORS
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/*/penguin*
%lang(ja) %{_mandir}/ja/*/penguin*


%changelog
* Thu Apr 23 2020 danf <danf> 1.6.11-17.mga8
+ Revision: 1571472
- Fix Comment= in .desktop file

* Fri Feb 14 2020 umeabot <umeabot> 1.6.11-16.mga8
+ Revision: 1515857
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.6.11-15.mga7
+ Revision: 1300164
- Mageia 7 Mass Rebuild

* Mon Jun 25 2018 wally <wally> 1.6.11-14.mga7
+ Revision: 1239640
- fix build on aarch64

* Thu Feb 04 2016 umeabot <umeabot> 1.6.11-13.mga6
+ Revision: 936239
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.11-12.mga5
+ Revision: 743842
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.11-11.mga5
+ Revision: 683402
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.6.11-10.mga4
+ Revision: 545391
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 danf <danf> 1.6.11-9.mga4
+ Revision: 501211
- Name in high score list can now be >1 character long
- Put Japanese man page in the expected location
- Clarified license to GPLv2+

* Sun Jan 13 2013 umeabot <umeabot> 1.6.11-8.mga3
+ Revision: 362750
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 zezinho <zezinho> 1.6.11-7.mga2
+ Revision: 220528
- remove soundwrapper from menu as it is not used anymore

* Mon Jun 20 2011 zezinho <zezinho> 1.6.11-6.mga2
+ Revision: 110290
- imported package penguin-command

